<%--	
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/WEB-INF/jsp/commons/portlet_base.jsp"%>

<%@page import="java.util.Map,java.util.HashMap"%>
<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<%@page import="it.eng.spagobi.commons.utilities.ChannelUtilities"%>
<%@page	import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%@page import="it.eng.spago4q.bo.InterfaceField"%>
<%@page import="it.eng.spago4q.utilities.Spago4QConstants"%>
<%
	String id = "";
	String title = "";
	
	String name = "";
	String fieldType = "";
	Boolean sensible = false;
	Boolean keyField = false;
	String interfaceType_id = "";
	String sensibleChecked = "";
	String keyFieldChecked = "";
	
    String messageBundle = "component_spago4q_messages"; 
    String moduleName = "DetailEInterfaceFieldModule";
    String pageName = "EInterfaceFieldPage";
    String objectName = "EInterfaceField";

    ConfigSingleton configure = ConfigSingleton.getInstance();

    SourceBean moduleBean = (SourceBean) configure
			.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
					moduleName);
	

	if (moduleBean.getAttribute("CONFIG.TITLE") != null)
		title = (String) moduleBean.getAttribute("CONFIG.TITLE");
	
	if (aServiceRequest.getAttribute("TYPE_ID") != null)
		interfaceType_id = (String)aServiceRequest.getAttribute("TYPE_ID");
	
	
	String messageIn = (String) aServiceRequest.getAttribute("MESSAGE");
	String messageSave = "";
	
	// DETAIL_SELECT
	if (messageIn != null
			&& messageIn
					.equalsIgnoreCase(DelegatedDetailService.DETAIL_SELECT)) {
		messageSave = DelegatedDetailService.DETAIL_UPDATE;
	}
	// DETAIL_UPDATE
	if (messageIn != null
			&& messageIn
					.equalsIgnoreCase(DelegatedDetailService.DETAIL_UPDATE)) {
		SourceBean moduleResponse = (SourceBean) aServiceResponse
		.getAttribute(moduleName);
		
		
		messageIn = (String) moduleResponse.getAttribute("MESSAGE");
		messageSave = DelegatedDetailService.DETAIL_UPDATE;
	}
	
	//DETAIL_NEW
	if (messageIn != null
			&& messageIn
					.equalsIgnoreCase(DelegatedDetailService.DETAIL_NEW)) {
		messageSave = DelegatedDetailService.DETAIL_INSERT;
	}
	//DETAIL_INSERT
	if (messageIn != null
			&& messageIn
					.equalsIgnoreCase(DelegatedDetailService.DETAIL_INSERT)) {
		SourceBean moduleResponse = (SourceBean) aServiceResponse
				.getAttribute(moduleName);
		InterfaceField interfaceField = (InterfaceField) moduleResponse.getAttribute(objectName);
		if(interfaceField.getId()!= null){
			id = interfaceField.getId().toString();
			messageIn = (String) moduleResponse.getAttribute("MESSAGE");
			messageSave = DelegatedDetailService.DETAIL_UPDATE;
		} else {
			messageIn = DelegatedDetailService.DETAIL_SELECT;
			messageSave = DelegatedDetailService.DETAIL_INSERT;
		}
	}

	if (messageIn != null
			&& messageIn
					.equalsIgnoreCase(DelegatedDetailService.DETAIL_SELECT)) {
		SourceBean moduleResponse = (SourceBean) aServiceResponse
				.getAttribute(moduleName);
		InterfaceField interfaceField = (InterfaceField) moduleResponse.getAttribute(objectName);
		if (interfaceField != null) {
			if(interfaceField.getId()!= null)
				id = interfaceField.getId().toString();
			if(interfaceField.getName()!=null)
				name = interfaceField.getName();
			if(interfaceField.getFieldType()!=null)
				fieldType = interfaceField.getFieldType();
			if(interfaceField.getSensible()!=null)
				sensible = interfaceField.getSensible();
			if(interfaceField.getKeyField()!=null)
				keyField = interfaceField.getKeyField();
		}
	}

	
	Map formUrlPars = new HashMap();
//	if(ChannelUtilities.isPortletRunning()) {
		formUrlPars.put("PAGE", pageName);
		formUrlPars.put("MODULE", moduleName);
		formUrlPars.put("MESSAGE", messageSave);
		formUrlPars.put("TYPE_ID", interfaceType_id);
		formUrlPars.put(LightNavigationManager.LIGHT_NAVIGATOR_DISABLED, "true");
//	}
	
	String formUrl = urlBuilder.getUrl(request, formUrlPars);
	
	Map backUrlPars = new HashMap();
	backUrlPars.put("PAGE", pageName);
	backUrlPars.put("TYPE_ID", interfaceType_id);
	backUrlPars.put(LightNavigationManager.LIGHT_NAVIGATOR_BACK_TO, "1");
	
	String backUrl = urlBuilder.getUrl(request, backUrlPars);
%>


<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'><spagobi:message
      key="<%=title%>"  bundle="<%=messageBundle%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-button-column-portlet-section'><a
      href="javascript:document.getElementById('interfaceFieldForm').submit()"> <img
      class='header-button-image-portlet-section'
      title='<spagobi:message key = "s4q.button.save.title"  bundle="<%=messageBundle%>" />'
      src='<%=urlBuilder.getResourceLinkByTheme(request, "/img/save.png",currTheme)%>'
      alt='<spagobi:message key = "s4q.button.save.title"  bundle="<%=messageBundle%>" />' /> </a></td>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spagobi:message key = "s4q.button.back.title" bundle="<%=messageBundle%>" />'
      src='<%=urlBuilder.getResourceLinkByTheme(request, "/img/back.png",currTheme)%>'
      alt='<spagobi:message key = "s4q.button.back.title" bundle="<%=messageBundle%>" />' /> </a></td>
  </tr>
</table>

<form method='POST' action='<%=formUrl%>' id='interfaceFieldForm' name='interfaceFieldForm'>
<input type='hidden' value='<%=id%>' name='id' />

<div class="div_detail_area_forms">
<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spagobi:message
  key="s4q.label.name" bundle="<%=messageBundle%>" /> </span></div>
<div class='div_detail_form'><input
  class='portlet-form-input-field' type="text" name="name" size="50"
  value="<%=name%>" maxlength="200"> &nbsp;*</div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spagobi:message
  key="s4q.label.interfacefield.fieldType" bundle="<%=messageBundle%>" /> </span></div>
<div class='div_detail_form'>
<select class='portlet-form-field' name="fieldType">
<%

for(int i = 0 ; i < Spago4QConstants.FIELD_TYPES_ARRAY.length; i ++){
	String selected = "";
	if (fieldType.equals(Spago4QConstants.FIELD_TYPES_ARRAY[i]))
		selected = "selected"; %>
		<option value='<%=Spago4QConstants.FIELD_TYPES_ARRAY[i]%>'
		label='<%= Spago4QConstants.FIELD_TYPES_ARRAY[i]%>'
		<%=selected %> ><%= Spago4QConstants.FIELD_TYPES_ARRAY[i]%></option>
<%	
}

%>
</select>
</div>

<%if(sensible != null && sensible.booleanValue()) 
	sensibleChecked = "checked='checked'";
%>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spagobi:message
  key="s4q.label.interfacefield.sensible" bundle="<%=messageBundle%>" /> </span></div>
<div class='div_detail_form'>
<input class='portlet-form-input-field' type="checkbox" name="sensible" 
  <%=sensibleChecked%>" maxlength="200"> &nbsp;</div>
  
<%if(keyField != null && keyField.booleanValue()) 
	keyFieldChecked = "checked='checked'";
%>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spagobi:message
  key="s4q.label.interfacefield.keyField" bundle="<%=messageBundle%>" /> </span></div>
<div class='div_detail_form'>
<input class='portlet-form-input-field' type="checkbox" name="keyField" 
  <%=keyFieldChecked%>" maxlength="200"> &nbsp;</div>  
  
</div>
</form>

<spagobi:error />



<%@ include file="/WEB-INF/jsp/commons/footer.jsp"%>